--
--	Fiery Portal
--		2 random gems become red gems each turn.
--

local function OnStartTurn(characterIdx,turnNumber)

	-- grab two random different gems
	local loop;
	for loop = 1,2 do
		local x,y = GetRandomGrid_Not(GEM_FIRE);
		SET_GEM(x,y,GEM_FIRE);
		ADD_EFFECT_TO_GRID(x,y, "RedSparkle");
	end
	
	return;
end

--	
--		DECLARE TABLE	
--

FieryPortal = {
	OnStartTurn = OnStartTurn,
};

