--
--	Hell Knight
--		Increases all damage by 1 and reduces all damage taken by 1
--

------------------------------------------------
--
-- OnReceiveDamage
--
--    Called whenever a character takes damage
--    Must return the amount of damage taken
--     sourceIdx = attacker  targetIdx=me!
--
local function OnReceiveDamage(damage,sourceIdx,targetIdx)
	damage = damage - 1;
	return damage;
end

------------------------------------------------
--
-- OnGiveDamage
--
--    Called whenever a character does damage
--    Must return the amount of damage done
--     sourceIdx = attacker  targetIdx=me!
--
local function OnGiveDamage(damage,sourceIdx,targetIdx)
	damage = damage + 1;
	return damage;
end


--	
--		DECLARE TABLE	
--

HellKnight = {
	OnReceiveDamage = OnReceiveDamage,
	OnGiveDamage = OnGiveDamage,
};

